Results 1 to 6 of 6

Thread: nm-connection-editor fails on xfce on 13.1 for openvpn

  1. #1
    Join Date
    Aug 2008
    Location
    London, UK
    Posts
    223

    Exclamation nm-connection-editor fails on xfce on 13.1 for openvpn

    Hi,

    can anyone advise me of a workaround for nm-connection-editor failure on xfce on 13.1 64bit?

    when I try to add an openvpn connection with a private key file, but no user or systems certificate in goes into a loop when I have selected the private key file logging:

    Code:
    ** (nm-connection-editor:21011): WARNING **: Invalid setting VPN: cert
    ** (nm-connection-editor:21011): WARNING **: Invalid setting VPN: cert
    ** (nm-connection-editor:21011): WARNING **: Invalid setting VPN: key
    ** (nm-connection-editor:21011): WARNING **: Invalid setting VPN: key
    ** (nm-connection-editor:21011): WARNING **: Invalid setting VPN: ca
    ** (nm-connection-editor:21011): WARNING **: Invalid setting VPN: ca
    (nm-connection-editor:21011): Gtk-CRITICAL **: gtk_file_chooser_select_filename: assertion 'filename != NULL' failed
    (nm-connection-editor:21011): Gtk-CRITICAL **: gtk_file_chooser_select_filename: assertion 'filename != NULL' failed
    and so on, without end.

    This openvpn definition was working under nm on 12.3.

    Is there a way I can make this work?
    Can someone send me a template file (or direct me to one) which I can edit to set up this connection.

    Thanks
    David

  2. #2
    Join Date
    Aug 2008
    Location
    London, UK
    Posts
    223

    Default Re: nm-connection-editor fails on xfce on 13.1 for openvpn

    Sorry, here's some versions:

    libnm-gtk0-0.9.8.4-20.3.x86_64
    libnm-glib4-0.9.8.8-1.1.x86_64
    NetworkManager-openvpn-0.9.8.4-1.3.x86_64
    libnm-glib-vpn1-0.9.8.8-1.1.x86_64
    NetworkManager-openvpn-gnome-0.9.8.4-1.3.x86_64
    NetworkManager-0.9.8.8-1.1.x86_64
    NetworkManager-gnome-0.9.8.4-20.3.x86_64

  3. #3
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,295
    Blog Entries
    2

    Default Re: nm-connection-editor fails on xfce on 13.1 for openvpn

    Although I haven't used this SDB, recommend you take a look at it. At least, it looks like it's maintained (changes to this document as recently as this month).
    http://en.opensuse.org/SDB:OpenVPN_i...tion_and_Setup

    Although it doesn't describe NetworkManager integration, if there is something amiss with specific files the SDB would probably be helpful troubleshooting.

    Also, I'm sure you'll find it easier to use YAST to configure the suse firewall instead of the command lines in the SDB.,

    HTH,
    TSU

  4. #4
    Join Date
    Aug 2008
    Location
    London, UK
    Posts
    223

    Default Re: nm-connection-editor fails on xfce on 13.1 for openvpn

    Quote Originally Posted by tsu2 View Post
    Although I haven't used this SDB, recommend you take a look at it. At least, it looks like it's maintained (changes to this document as recently as this month).
    http://en.opensuse.org/SDB:OpenVPN_i...tion_and_Setup
    Unfortunately the link seems to have expired or otherwise gone away. I get prompted to create the page ...
    Is there something I'm missing?

    David

  5. #5
    Join Date
    Aug 2008
    Location
    London, UK
    Posts
    223

    Default Re: nm-connection-editor fails on xfce on 13.1 for openvpn


  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,327
    Blog Entries
    15

    Default Re: nm-connection-editor fails on xfce on 13.1 for openvpn

    Hi
    Try: SDB:OpenVPN_Installation_and_Setup seems it's a capital I not lower case.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •